fix and enable linphone

This commit is contained in:
David Black 2013-07-25 17:43:59 +01:00
parent 000e6f935a
commit c1b7d2661f
2 changed files with 64 additions and 16 deletions

View file

@ -1,4 +1,3 @@
Disabled:v2.0.3 contained non-free codecs and fix doesn't build
Category:Phone & SMS
License:GPLv3
Web Site:http://www.linphone.org
@ -8,10 +7,13 @@ Issue Tracker:
Auto Name:Linphone
Summary:SIP (VOIP) phone
Description:
* Audio: speex (narrow- and wide-band); iLBC; G711; GSM; G722. No Silk (?) in this build
The 2.0.3 version had non-free codecs included by mistake;
2.1.2 should work as described.
* Audio: speex; iLBC; G711; GSM; G722. No Silk and AMR-WB depends on device in this build
* Video with VP8, mpeg4, x264 (ARMv7 only). No h264 in this build
* Audio multicall and conferencing
* SRTP/(ZRTP ?) media encryption
* SRTP/ZRTP media encryption
* Echo cancellation
* Address book integration
* Call history
@ -34,21 +36,19 @@ res/values/non_localizable_custom.xml,build=\
make BUILD_SILK=0 BUILD_X264=1 BUILD_GPLV3_ZRTP=1 \
BUILD_FOR_X86=1 prepare-sources,buildjni=no
#Compile++ thumb : linphone <= linphonecore_jni.cc
#jni/..//submodules/linphone/build/android/../../coreapi/linphonecore_jni.cc:21:30:
#fatal error: linphonecore_jni.h: No such file or directory
Build Version:2.1.2-fdroid,2120,!build problems at 2.1.2,\
submodules=no,\
# note the custom_rules ; didn't use a tag because of zrtp security fix
Build Version:2.1.2-fdroid,2120,846a2a3a58,\
update=no,\
init=git submodule update --init --recursive,\
prebuild=rm -rf tests submodules/externals/webrtc/modules/\
patch=makefile.patch,\
prebuild=sed -i '1 i NDK_PATH=$$NDK$$\nSDK_PATH=$$SDK$$/tools\n\
SDK_PLATFORM_TOOLS_PATH=$$SDK$$/platform-tools\n' Makefile && \
echo 'version.name=2.1.2-fdroid' > default.properties && \
rm -rf tests submodules/externals/webrtc/modules/\
video_capture/main/source/android/java/org/webrtc/videoengine/* && \
echo "version.name=2.1.2-fdroid" > default.properties && \
sed -i 's/allowBackup=\"true\"/debuggable=\"false\"/g' AndroidManifest.xml && \
sed -i '92s/prepare-silk //g' Makefile && \
sed -i 's/markets\">true/markets\">=false/g' \
res/values/non_localizable_custom.xml,\
build=make -e NDK_PATH=$$NDK$$ BUILD_SILK=0 BUILD_X264=1 BUILD_GPLV3_ZRTP=1 \
BUILD_AMRNB=light prepare-sources generate-libs,\
sed -i 's/allowBackup="true"/debuggable="false"/g' AndroidManifest.xml && \
sed -i 's/markets">true/markets">=false/g' res/values/non_localizable_custom.xml,\
build=make,\
buildjni=no
Auto Update Mode:None

View file

@ -0,0 +1,48 @@
diff --git a/Makefile b/Makefile
index 2dbde39..fa7d6b8 100644
--- a/Makefile
+++ b/Makefile
@@ -1,21 +1,18 @@
-NDK_PATH=$(shell dirname `which ndk-build`)
-SDK_PATH=$(shell dirname `which android`)
-SDK_PLATFORM_TOOLS_PATH=$(shell dirname `which adb`)
NUMCPUS=$(shell grep -c '^processor' /proc/cpuinfo || echo "4" )
TOPDIR=$(shell pwd)
PATCH_FFMPEG=$(shell cd submodules/externals/ffmpeg && git status | grep neon)
LINPHONE_VERSION=$(shell cd submodules/linphone && git describe --always)
LINPHONE_ANDROID_DEBUG_VERSION=$(shell git describe --always)
-ANDROID_MOST_RECENT_TARGET=$(shell android list target -c | grep android | tail -n1)
+ANDROID_MOST_RECENT_TARGET=$(shell $(SDK_PATH)/android list target -c | grep android | tail -n1)
NDK_DEBUG=0
BUILD_UPNP=1
BUILD_REMOTE_PROVISIONING=1
BUILD_X264=1
-BUILD_AMRNB=full # 0, light or full
+BUILD_AMRNB=light # 0, light or full
BUILD_AMRWB=0
-BUILD_GPLV3_ZRTP=0
-BUILD_SILK=1
+BUILD_GPLV3_ZRTP=1
+BUILD_SILK=0
BUILD_G729=0
BUILD_TUNNEL=0
BUILD_WEBRTC_AECM=1
@@ -24,7 +21,7 @@ USE_JAVAH=1
NDK_BUILD_OPTIONS=NDK_DEBUG=$(NDK_DEBUG) LINPHONE_VERSION=$(LINPHONE_VERSION) BUILD_UPNP=$(BUILD_UPNP) BUILD_REMOTE_PROVISIONING=$(BUILD_REMOTE_PROVISIONING) BUILD_X264=$(BUILD_X264) BUILD_AMRNB=$(BUILD_AMRNB) BUILD_AMRWB=$(BUILD_AMRWB) BUILD_GPLV3_ZRTP=$(BUILD_GPLV3_ZRTP) BUILD_SILK=$(BUILD_SILK) BUILD_G729=$(BUILD_G729) BUILD_TUNNEL=$(BUILD_TUNNEL) BUILD_WEBRTC_AECM=$(BUILD_WEBRTC_AECM) BUILD_FOR_X86=$(BUILD_FOR_X86) USE_JAVAH=$(USE_JAVAH) -j$(NUMCPUS)
-all: update-project prepare-sources generate-apk
+all: update-project prepare-sources
install: install-apk run-linphone
@@ -98,7 +95,7 @@ prepare-mediastreamer2:
if ! [ -e yuv2rgb.vs.h ]; then echo "yuv2rgb.vs.h creation error (do you have 'xxd' application installed ?)"; exit 1; fi && \
if ! [ -e yuv2rgb.fs.h ]; then echo "yuv2rgb.fs.h creation error (do you have 'xxd' application installed ?)"; exit 1; fi
-prepare-sources: prepare-ffmpeg prepare-ilbc prepare-vpx prepare-silk prepare-srtp prepare-zrtp prepare-mediastreamer2
+prepare-sources: prepare-ffmpeg prepare-ilbc prepare-vpx prepare-srtp prepare-zrtp prepare-mediastreamer2
generate-libs:
$(NDK_PATH)/ndk-build $(NDK_BUILD_OPTIONS)